# Below are trained with ECE loss
## General monotone calibration + ece, cifar100 (clean data)
#CUDA_VISIBLE_DEVICES=2 python train.py --dataset cifar100 \
#    --layers 40 --widen-factor 10 --tensorboard \
#    --loss cross_entropy \
#    --model_seed 1 --data_seed 100 \
#    --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
#    --neg_slope 2.0 --min_temp 0.2 \
#    --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
#    --neg_slope 2.0 --min_temp 0.2 --temp_init_increment 0.5 \
#    --lr 0.01 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
#    --resume ./runs/cifar100/calib_model/nn_on_reps_[5]_2layer_initinc_0.5_slope_2.0_eceloss_w_10.0_B_5_sgd_lr_0.01_onecycle_50epochs/checkpoint.pth.tar \
#    --debug_mode --debug_dataset val
#
## 2-layer NN model + ece
#CUDA_VISIBLE_DEVICES=2 python train.py --dataset cifar100 \
#    --layers 40 --widen-factor 10 --tensorboard \
#    --loss cross_entropy \
#    --model_seed 1 --data_seed 100 \
#    --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
#    --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
#    --lr 0.01 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
#    --resume ./runs/cifar100/temp_model/nn_on_reps_[5]_2layer_eceloss_w_10.0_B_5_sgd_lr_0.01_onecycle_50epochs/checkpoint.pth.tar \
#    --debug_mode --debug_dataset val
#
## temp scaling + ece
#CUDA_VISIBLE_DEVICES=2 python train.py --dataset cifar100 \
#    --layers 40 --widen-factor 10 --tensorboard \
#    --loss cross_entropy \
#    --model_seed 1 --data_seed 100 \
#    --use_temp --temp_model const --min_temp 0.2 \
#    --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
#    --lr 0.01 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
#    --resume ./runs/cifar100/temp_model/const_eceloss_w_10.0_B_5_sgd_lr_0.01_onecycle_50epochs/checkpoint.pth.tar \
#    --debug_mode --debug_dataset val
#
## temp scaling
#CUDA_VISIBLE_DEVICES=2 python train.py --dataset cifar100 \
#    --layers 40 --widen-factor 10 --tensorboard \
#    --loss cross_entropy \
#    --model_seed 1 --data_seed 100 \
#    --use_temp --temp_model const --min_temp 0.2 \
#    --lr 0.01 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
#    --resume ./runs/cifar100/temp_model/const_sgd_lr_0.01_cosine/checkpoint.pth.tar \
#    --debug_mode --debug_dataset val

# no temperature
CUDA_VISIBLE_DEVICES=2 python train.py --dataset cifar100 \
    --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --lr 0.0031 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000-multistep-long-wd-0.0/checkpoint.pth.tar \
    --debug_mode --debug_dataset val
