CUDA_VISIBLE_DEVICES=4 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --batch-size=128 --use_split train_val \
    --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
    --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 \
    --lr 0.01 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/calib_model/nn_on_reps_[5]_2layer_initinc_0.5_slope_1.5_sgd_lr_0.01_onecycle_50epochs &

CUDA_VISIBLE_DEVICES=5 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --batch-size=128 --use_split train_val \
    --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
    --neg_slope 2.0 --min_temp 0.2 --temp_init_increment 0.5 \
    --lr 0.01 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/calib_model/nn_on_reps_[5]_2layer_initinc_0.5_slope_2.0_sgd_lr_0.01_onecycle_50epochs