DATASEED=100
CUDA_VISIBLE_DEVICES=0 python train.py --dataset imagenet --model wideresnet_50_2 \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
      --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/imagenet/final/temp_model_nn_on_reps_[5]_2layer_sgd_lr_1e-2_onecycle_5epochs/dataseed_"$DATASEED"/checkpoint.pth.tar \
      --debug_mode --debug_dataset val --compute_prr \
      --name  imagenet/final/temp_model_nn_on_reps_[5]_2layer_sgd_lr_1e-2_onecycle_5epochs/dataseed_"$DATASEED" &

DATASEED=200
CUDA_VISIBLE_DEVICES=1 python train.py --dataset imagenet --model wideresnet_50_2 \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
      --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/imagenet/final/temp_model_nn_on_reps_[5]_2layer_sgd_lr_1e-2_onecycle_5epochs/dataseed_"$DATASEED"/checkpoint.pth.tar \
      --debug_mode --debug_dataset val --compute_prr \
      --name  imagenet/final/temp_model_nn_on_reps_[5]_2layer_sgd_lr_1e-2_onecycle_5epochs/dataseed_"$DATASEED" &

DATASEED=300
CUDA_VISIBLE_DEVICES=2 python train.py --dataset imagenet --model wideresnet_50_2 \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
      --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/imagenet/final/temp_model_nn_on_reps_[5]_2layer_sgd_lr_1e-2_onecycle_5epochs/dataseed_"$DATASEED"/checkpoint.pth.tar \
      --debug_mode --debug_dataset val --compute_prr \
      --name  imagenet/final/temp_model_nn_on_reps_[5]_2layer_sgd_lr_1e-2_onecycle_5epochs/dataseed_"$DATASEED" &

DATASEED=400
CUDA_VISIBLE_DEVICES=3 python train.py --dataset imagenet --model wideresnet_50_2 \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
      --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/imagenet/final/temp_model_nn_on_reps_[5]_2layer_sgd_lr_1e-2_onecycle_5epochs/dataseed_"$DATASEED"/checkpoint.pth.tar \
      --debug_mode --debug_dataset val --compute_prr \
      --name  imagenet/final/temp_model_nn_on_reps_[5]_2layer_sgd_lr_1e-2_onecycle_5epochs/dataseed_"$DATASEED"