python -m torch.distributed.launch --nproc_per_node=8 --nnodes=1 --node_rank=0 \
    train.py --dataset imagenet --tensorboard \
    --loss cross_entropy \
    --model wideresnet_50_2 --ddp \
    --model_seed 4 --data_seed 400 \
    --scheduler imagenet \
    --epochs 100 --batch-size=32 --val_batch_size=128 \
    --split_size=1181167 \
    --name imagenet/WRN-28-10-modelseed-4-dataseed-400-split-1181167-100epochs