



# NLL loss
CUDA_VISIBLE_DEVICES=0 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --split_size_2=3000 --batch-size=128 --use_split train_val \
    --use_temp --temp_model const --min_temp 0.2 \
    --lr 1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/tune/temp_model_const_sgd_lr_1e-3_onecycle_50epochs &

CUDA_VISIBLE_DEVICES=1 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --split_size_2=3000 --batch-size=128 --use_split train_val \
    --use_temp --temp_model const --min_temp 0.2 \
    --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/tune/temp_model_const_sgd_lr_3.1e-3_onecycle_50epochs &

CUDA_VISIBLE_DEVICES=2 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --split_size_2=3000 --batch-size=128 --use_split train_val \
    --use_temp --temp_model const --min_temp 0.2 \
    --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/tune/temp_model_const_sgd_lr_1e-2_onecycle_50epochs &

CUDA_VISIBLE_DEVICES=3 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --split_size_2=3000 --batch-size=128 --use_split train_val \
    --use_temp --temp_model const --min_temp 0.2 \
    --lr 3.1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/tune/temp_model_const_sgd_lr_3.1e-2_onecycle_50epochs &

# ECE loss
CUDA_VISIBLE_DEVICES=4 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --split_size_2=3000 --batch-size=128 --use_split train_val \
    --use_temp --temp_model const --min_temp 0.2 \
    --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
    --lr 1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/tune/temp_model_const_eceloss_sgd_lr_1e-3_onecycle_50epochs &

CUDA_VISIBLE_DEVICES=5 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --split_size_2=3000 --batch-size=128 --use_split train_val \
    --use_temp --temp_model const --min_temp 0.2 \
    --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
    --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/tune/temp_model_const_eceloss_sgd_lr_3.1e-3_onecycle_50epochs &

CUDA_VISIBLE_DEVICES=6 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --split_size_2=3000 --batch-size=128 --use_split train_val \
    --use_temp --temp_model const --min_temp 0.2 \
    --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
    --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/tune/temp_model_const_eceloss_sgd_lr_1e-2_onecycle_50epochs &

CUDA_VISIBLE_DEVICES=7 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --split_size_2=3000 --batch-size=128 --use_split train_val \
    --use_temp --temp_model const --min_temp 0.2 \
    --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
    --lr 3.1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/tune/temp_model_const_eceloss_sgd_lr_3.1e-2_onecycle_50epochs