# 1,9 ... 8,2
# Part 1: TS
for DATASEED in 100 200 300 400
do
  CUDA_VISIBLE_DEVICES=0 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model const --min_temp 0.2 \
      --nll_weight 0.1 --ece_weight 9.0 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/TS_1_9/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=1 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model const --min_temp 0.2 \
      --nll_weight 0.2 --ece_weight 8.0 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/TS_2_8/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=2 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model const --min_temp 0.2 \
      --nll_weight 0.3 --ece_weight 7.0 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/TS_3_7/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=3 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model const --min_temp 0.2 \
      --nll_weight 0.4 --ece_weight 6.0 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/TS_4_6/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=4 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model const --min_temp 0.2 \
      --nll_weight 0.5 --ece_weight 5.0 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/TS_5_5/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=5 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model const --min_temp 0.2 \
      --nll_weight 0.6 --ece_weight 4.0 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/TS_6_4/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=6 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model const --min_temp 0.2 \
      --nll_weight 0.7 --ece_weight 3.0 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/TS_7_3/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=7 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model const --min_temp 0.2 \
      --nll_weight 0.8 --ece_weight 2.0 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/TS_8_2/dataseed_"$DATASEED"
done

# Part 2: ITS
for DATASEED in 100 200 300 400
do
  CUDA_VISIBLE_DEVICES=0 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
      --nll_weight 0.1 --ece_weight 9.0 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/ITS_1_9/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=1 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
      --nll_weight 0.2 --ece_weight 8.0 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/ITS_2_8/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=2 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
      --nll_weight 0.3 --ece_weight 7.0 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/ITS_3_7/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=3 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
      --nll_weight 0.4 --ece_weight 6.0 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/ITS_4_6/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=4 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
      --nll_weight 0.5 --ece_weight 5.0 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/ITS_5_5/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=5 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
      --nll_weight 0.6 --ece_weight 4.0 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/ITS_6_4/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=6 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
      --nll_weight 0.7 --ece_weight 3.0 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/ITS_7_3/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=7 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
      --nll_weight 0.8 --ece_weight 2.0 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/ITS_8_2/dataseed_"$DATASEED"
done

# Part 3: NRPT
for DATASEED in 100 200 300 400
do
  CUDA_VISIBLE_DEVICES=0 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --nll_weight 0.1 --ece_weight 9.0 --ece_num_partitions_train 5 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 --num_temps 10 \
      --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/NRPT_1_9/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=1 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --nll_weight 0.2 --ece_weight 8.0 --ece_num_partitions_train 5 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 --num_temps 10 \
      --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/NRPT_2_8/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=2 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --nll_weight 0.3 --ece_weight 7.0 --ece_num_partitions_train 5 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 --num_temps 10 \
      --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/NRPT_3_7/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=3 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --nll_weight 0.4 --ece_weight 6.0 --ece_num_partitions_train 5 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 --num_temps 10 \
      --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/NRPT_4_6/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=4 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --nll_weight 0.5 --ece_weight 5.0 --ece_num_partitions_train 5 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 --num_temps 10 \
      --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/NRPT_5_5/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=5 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --nll_weight 0.6 --ece_weight 4.0 --ece_num_partitions_train 5 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 --num_temps 10 \
      --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/NRPT_6_4/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=6 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --nll_weight 0.7 --ece_weight 3.0 --ece_num_partitions_train 5 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 --num_temps 10 \
      --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/NRPT_7_3/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=7 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --nll_weight 0.8 --ece_weight 2.0 --ece_num_partitions_train 5 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 --num_temps 10 \
      --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/NRPT_8_2/dataseed_"$DATASEED"
done

# 0,10; 9,1; 10,0
# Part 1: TS
for DATASEED in 100 200 300 400
do
  CUDA_VISIBLE_DEVICES=0 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model const --min_temp 0.2 \
      --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/TS_0_10/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=1 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model const --min_temp 0.2 \
      --nll_weight 0.9 --ece_weight 1.0 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/TS_9_1/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=2 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model const --min_temp 0.2 \
      --nll_weight 1.0 --ece_weight 0.0 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/TS_10_0/dataseed_"$DATASEED" &

    CUDA_VISIBLE_DEVICES=3 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model const --min_temp 0.2 \
      --nll_weight 0.95 --ece_weight 0.5 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/TS_9.5_0.5/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=4 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model const --min_temp 0.2 \
      --nll_weight 0.85 --ece_weight 1.5 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/TS_8.5_1.5/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=5 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model const --min_temp 0.2 \
      --nll_weight 0.75 --ece_weight 2.5 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/TS_7.5_2.5/dataseed_"$DATASEED"
done

# Part 2: ITS
for DATASEED in 100 200 300 400
do
  CUDA_VISIBLE_DEVICES=0 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
      --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/ITS_0_10/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=1 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
      --nll_weight 0.9 --ece_weight 1.0 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/ITS_9_1/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=2 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
      --nll_weight 1.0 --ece_weight 0.0 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/ITS_10_0/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=3 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
      --nll_weight 0.95 --ece_weight 0.5 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/ITS_9.5_0.5/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=4 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
      --nll_weight 0.85 --ece_weight 1.5 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/ITS_8.5_1.5/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=5 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
      --nll_weight 0.75 --ece_weight 2.5 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/ITS_7.5_2.5/dataseed_"$DATASEED"
done

# Part 3: NRPT
for DATASEED in 100 200 300 400
do
  CUDA_VISIBLE_DEVICES=0 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 --num_temps 10 \
      --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/NRPT_0_10/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=1 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --nll_weight 0.9 --ece_weight 1.0 --ece_num_partitions_train 5 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 --num_temps 10 \
      --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/NRPT_9_1/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=2 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --nll_weight 1.0 --ece_weight 0.0 --ece_num_partitions_train 5 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 --num_temps 10 \
      --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/NRPT_10_0/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=3 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --nll_weight 0.95 --ece_weight 0.5 --ece_num_partitions_train 5 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 --num_temps 10 \
      --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/NRPT_9.5_0.5/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=4 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --nll_weight 0.85 --ece_weight 1.5 --ece_num_partitions_train 5 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 --num_temps 10 \
      --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/NRPT_8.5_1.5/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=5 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --split_size=45000 --batch-size=128 --use_split train_val \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --nll_weight 0.75 --ece_weight 2.5 --ece_num_partitions_train 5 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 --num_temps 10 \
      --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
      --name  cifar100/mixed/NRPT_7.5_2.5/dataseed_"$DATASEED"
done