DATASEED=100
CUDA_VISIBLE_DEVICES=7 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed "$DATASEED" \
    --split_size=45000 --batch-size=128 --use_split train_val \
    --use_calib --calib_model matrix_scale --min_temp 0.2 \
    --lr 1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --evaluate_on_train \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/final/calib_model_matrix_scale_sgd_lr_1e-3_onecycle_50epochs/dataseed_"$DATASEED" &

DATASEED=200
CUDA_VISIBLE_DEVICES=6 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed "$DATASEED" \
    --split_size=45000 --batch-size=128 --use_split train_val \
    --use_calib --calib_model matrix_scale --min_temp 0.2 \
    --lr 1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --evaluate_on_train \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/final/calib_model_matrix_scale_sgd_lr_1e-3_onecycle_50epochs/dataseed_"$DATASEED" &

DATASEED=300
CUDA_VISIBLE_DEVICES=5 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed "$DATASEED" \
    --split_size=45000 --batch-size=128 --use_split train_val \
    --use_calib --calib_model matrix_scale --min_temp 0.2 \
    --lr 1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --evaluate_on_train \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/final/calib_model_matrix_scale_sgd_lr_1e-3_onecycle_50epochs/dataseed_"$DATASEED" &

DATASEED=400
CUDA_VISIBLE_DEVICES=4 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed "$DATASEED" \
    --split_size=45000 --batch-size=128 --use_split train_val \
    --use_calib --calib_model matrix_scale --min_temp 0.2 \
    --lr 1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --evaluate_on_train \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/final/calib_model_matrix_scale_sgd_lr_1e-3_onecycle_50epochs/dataseed_"$DATASEED" &
