CUDA_VISIBLE_DEVICES=0 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --batch-size=128 --use_split train_val \
    --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
    --lr 0.1 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --resume ./runs/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  temp_model/nn_on_reps_[5]_2layer_sgd_lr_0.1_onecycle_50epochs &

CUDA_VISIBLE_DEVICES=1 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --batch-size=128 --use_split train_val \
    --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
    --lr 0.031 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --resume ./runs/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  temp_model/nn_on_reps_[5]_2layer_sgd_lr_0.031_onecycle_50epochs &

CUDA_VISIBLE_DEVICES=2 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --batch-size=128 --use_split train_val \
    --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
    --lr 0.01 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --resume ./runs/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  temp_model/nn_on_reps_[5]_2layer_sgd_lr_0.01_onecycle_50epochs &

CUDA_VISIBLE_DEVICES=3 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --batch-size=128 --use_split train_val \
    --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
    --lr 0.0031 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --resume ./runs/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  temp_model/nn_on_reps_[5]_2layer_sgd_lr_0.0031_onecycle_50epochs &

CUDA_VISIBLE_DEVICES=4 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --batch-size=128 --use_split train_val \
    --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
    --lr 0.001 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer adam \
    --resume ./runs/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  temp_model/nn_on_reps_[5]_2layer_adam_lr_0.001_onecycle_50epochs &

CUDA_VISIBLE_DEVICES=5 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --batch-size=128 --use_split train_val \
    --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
    --lr 0.00031 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer adam \
    --resume ./runs/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  temp_model/nn_on_reps_[5]_2layer_adam_lr_0.00031_onecycle_50epochs &

CUDA_VISIBLE_DEVICES=6 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --batch-size=128 --use_split train_val \
    --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
    --lr 0.01 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer adam \
    --resume ./runs/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  temp_model/nn_on_reps_[5]_2layer_adam_lr_0.01_onecycle_50epochs &

CUDA_VISIBLE_DEVICES=7 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --batch-size=128 --use_split train_val \
    --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
    --lr 0.0031 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer adam \
    --resume ./runs/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  temp_model/nn_on_reps_[5]_2layer_adam_lr_0.0031_onecycle_50epochs &