CUDA_VISIBLE_DEVICES=2 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --batch-size=128 --use_split train_val \
    --use_calib --calib_model matrix_scale --min_temp 0.2 \
    --lr 1e-4 --scheduler const --epochs 50 --wd=0.0 --optimizer sgd \
    --evaluate_on_train \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/calib_model/matrix_scale_sgd_lr_1e-4_const_50epochs &

CUDA_VISIBLE_DEVICES=3 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --batch-size=128 --use_split train_val \
    --use_calib --calib_model matrix_scale --min_temp 0.2 \
    --lr 3.1e-4 --scheduler const --epochs 50 --wd=0.0 --optimizer sgd \
    --evaluate_on_train \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/calib_model/matrix_scale_sgd_lr_3.1e-4_const_50epochs &

CUDA_VISIBLE_DEVICES=4 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --batch-size=128 --use_split train_val \
    --use_calib --calib_model matrix_scale --min_temp 0.2 \
    --lr 1e-3 --scheduler const --epochs 50 --wd=0.0 --optimizer sgd \
    --evaluate_on_train \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/calib_model/matrix_scale_sgd_lr_1e-3_const_50epochs &

CUDA_VISIBLE_DEVICES=5 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --batch-size=128 --use_split train_val \
    --use_calib --calib_model matrix_scale --min_temp 0.2 \
    --lr 3.1e-3 --scheduler const --epochs 50 --wd=0.0 --optimizer sgd \
    --evaluate_on_train \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/calib_model/matrix_scale_sgd_lr_3.1e-3_const_50epochs &

CUDA_VISIBLE_DEVICES=6 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --batch-size=128 --use_split train_val \
    --use_calib --calib_model matrix_scale --min_temp 0.2 \
    --lr 1e-2 --scheduler const --epochs 50 --wd=0.0 --optimizer sgd \
    --evaluate_on_train \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/calib_model/matrix_scale_sgd_lr_1e-2_const_50epochs &

CUDA_VISIBLE_DEVICES=7 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed 100 \
    --split_size=45000 --batch-size=128 --use_split train_val \
    --use_calib --calib_model matrix_scale --min_temp 0.2 \
    --lr 3.1e-2 --scheduler const --epochs 50 --wd=0.0 --optimizer sgd \
    --evaluate_on_train \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/calib_model/matrix_scale_sgd_lr_3.1e-2_const_50epochs
