# Original model
CUDA_VISIBLE_DEVICES=2 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model wideresnet_50_2 --dataset imagenet \
    --model_seed 1 --data_seed 100 \
    --split_size=1181167 --batch-size=128 --val_batch_size=128 --use_split train_val \
    --lr 0.01 --scheduler onecycle --epochs 20 --wd=0.0 --optimizer sgd \
    --resume ./runs/imagenet/WRN-50-2-modelseed-1-dataseed-100-split-1181167-100epochs/checkpoint.pth.tar \
    --resume_from_ddp \
    --debug_mode --debug_dataset val

# Generalized monotone cal, slope=1.5
CUDA_VISIBLE_DEVICES=3 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model wideresnet_50_2 --dataset imagenet \
    --model_seed 1 --data_seed 100 \
    --split_size=1181167 --batch-size=128 --val_batch_size=128 --use_split train_val \
    --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
    --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 \
    --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
    --lr 0.01 --scheduler onecycle --epochs 20 --wd=0.0 --optimizer sgd \
    --resume ./runs/imagenet/calib_model/nn_on_reps_[5]_2layer_initinc_0.5_slope_1.5_eceloss_w_10.0_B_5_sgd_lr_0.01_onecycle_20epochs/checkpoint.pth.tar \
    --resume_from_ddp \
    --calib_output_mode logits \
    --debug_mode --debug_dataset val
